=== debian/control ===
Source: x2go-keyring
Section: misc
Priority: optional
Maintainer: X2Go Developers <x2go-dev@lists.x2go.org>
Uploaders:
 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>,
 Mihai Moldovan <ionic@ionic.de>,
Build-Depends:
  gnupg,
  jetring,
  bash,
  coreutils,
  debhelper (>= 9),
Standards-Version: 3.9.3
Homepage: http://code.x2go.org/releases/source/x2go-keyring
Vcs-Git: git://code.x2go.org/x2go-keyring.git
Vcs-Browser: http://code.x2go.org/gitweb?p=x2go-keyring.git;a=summary

Package: x2go-keyring
Architecture: all
Multi-Arch: foreign
Depends:
  ${misc:Depends}
Recommends: gnupg
Description: GnuPG keys of all X2Go developers and the X2Go archive
 The Debian project requires developers to digitally sign the
 announcements of their packages with GnuPG, to protect against
 forgeries.
 .
 This package contains public GnuPG keys of all X2Go developers and the
 X2Go package archive.
