=== debian/rules ===
#!/usr/bin/make -f
# debian/rules file - for x2go-keyring
# Based on sample debian/rules file - for Debian Archive Keyring (2019.01).
# Copyright 1994,1995 by Ian Jackson.
# Copyright 1998-2003 James Troup
# Copyright 2010-2015 Mike Gabriel
# Copyright 2016-2019 Mihai Moldovan
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified

%:
	dh "$@"

override_dh_auto_build:
	dh_auto_build # --no-parallel # Only supported in dh 10+. Compat-9-mode will not use parallelization by default.
